Download it now!
Bug 47564 - Rotated text not overlapping to cells on top and below and wrong alignment
Summary: Rotated text not overlapping to cells on top and below and wrong alignment
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 106728 (view as bug list)
Depends on:
Blocks: Vertical-Text
  Show dependency treegraph
 
Reported: 2012-03-20 03:23 UTC by daniel.schaaaf
Modified: 2019-09-22 02:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc sheet showing bug and embedded pictures of expected result (34.68 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-03-20 06:18 UTC, daniel.schaaaf
Details
Screen capture with non-readable rotated text on 5.3.0.3 (x64), worked correctly on 5.2.x and broke after upgrading (59.80 KB, image/png)
2017-03-13 17:27 UTC, zilog2008
Details
rotated text example with LO 5.3.2.0+, TB62 2017-03-13 (95.11 KB, image/png)
2017-03-13 20:30 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.schaaaf 2012-03-20 03:23:43 UTC
Rotated text does not overlap with neighboring cells on top or below, only with cells to the left or right.
Alignment of rotated text seems to be completely out of control and behaves unexpectedly (easy to try out).
Comment 1 Rainer Bielefeld Retired 2012-03-20 05:44:25 UTC Comment hidden (obsolete)
Comment 2 daniel.schaaaf 2012-03-20 06:18:26 UTC
Created attachment 58744 [details]
Calc sheet showing bug and embedded pictures of expected result
Comment 3 daniel.schaaaf 2012-03-20 06:25:47 UTC
Added calc sheet with bug and how it's supposed to look. I messed up the top and bottom alignment because the cells in the embedded pictures are standard height, but I think you get the idea :)
Comment 4 QA Administrators 2015-01-05 17:51:19 UTC Comment hidden (obsolete)
Comment 5 daniel.schaaaf 2015-01-06 11:59:48 UTC Comment hidden (obsolete)
Comment 6 m.a.riosv 2015-11-25 22:51:57 UTC
*** Bug 96057 has been marked as a duplicate of this bug. ***
Comment 7 daniel.schaaaf 2016-01-17 20:53:24 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-03-06 13:54:49 UTC Comment hidden (obsolete)
Comment 9 daniel.schaaaf 2017-03-06 17:05:37 UTC
Bug still present in 5.3.0.3 (x64) on Windows 10 Pro.

Apart from that, rotated text is completely garbled. I assume someone else already filed a bug report, as text rotation is essentially broken.
Comment 10 zilog2008 2017-03-13 17:27:13 UTC
Created attachment 131856 [details]
Screen capture with non-readable rotated text on 5.3.0.3 (x64), worked correctly on 5.2.x and broke after upgrading
Comment 11 V Stuart Foote 2017-03-13 20:30:40 UTC
Created attachment 131867 [details]
rotated text example with LO 5.3.2.0+, TB62 2017-03-13

Was this really ALL OS bulds, or just Windows?

Anyhow, rotation and scaling are corrected on Windows builds for both OpenGL rendering and Default rendering at 5.3.2--please check a current nightly TinderBox build.

Also, please note that when rotating you do need to set the text Reference Edge to be inside the cell, if that is the effect you want.


=-ref-=
https://wiki.documentfoundation.org/Installing_in_parallel
http://dev-builds.libreoffice.org/daily/libreoffice-5-3/Win-x86@62-merge-TDF/
Comment 12 m.a.riosv 2017-03-23 22:44:29 UTC
*** Bug 106728 has been marked as a duplicate of this bug. ***
Comment 13 QA Administrators 2018-06-17 02:44:55 UTC Comment hidden (obsolete)
Comment 14 graf.wasili 2018-09-21 17:28:39 UTC
For version: 6.0.6.2 (x64)on Windows 10 I can confirm the Issue with the cut-off text on rotation.

As of Comment 11 this seems to be a regression.
Comment 15 QA Administrators 2019-09-22 02:59:18 UTC
Dear daniel.schaaaf,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug